<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotModeSelectionMetadata;

use UnexpectedValueException;




class BotUserSelectionMode
{
    


    const UNKNOWN_MODE = 0;
    


    const REASONING_MODE = 1;

    private static $valueToName = [
        self::UNKNOWN_MODE => 'UNKNOWN_MODE',
        self::REASONING_MODE => 'REASONING_MODE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

